<template>
	<Modal :show="showModal" addClass="w-1/2">
		<template v-slot:header>
			<p class="mb-7 text-black font-bold pb-5 border-b">Configuration</p>
		</template>
		<template v-slot:main>
			<form class="bg-transparent mx-0 max-w-full">
                <InputCustom
                    name="host-url"
                    label="Host URL"
                    type="text"
                    placeholder="Masukan host url"
                    v-model:value="value"
                    :required="true"
                    labelClass="text-black"
                    inputClass="bg-light-grey"
                />
                <div class="flex justify-end my-10">
                    <button
                        class="mr-5 font-bold rounded-lg border border-shades-orange-light bg-white h-10 w-32 text-shades-orange-light"
                        @click="close"
                    >
                        Batal
                    </button>
                    <button
						@click="save"
                        type="submit"
                        class="font-bold rounded-lg bg-shades-orange-light h-10 w-32 text-white"
                    >
                        Simpan
                    </button>
                </div>
            </form>
		</template>
	</Modal>
</template>

<script>
import Modal from "./Modal.vue";
import InputCustom from "../InputCustom/InputCustom.vue";

export default {
	name: "ModalConfig",
	components: {
		Modal,
		InputCustom,
	},
	data() {
		return {
			value: "",
		};
	},
	props: {
		showModal: Boolean,
	},
	methods: {
		close(e) {
			e.preventDefault();
			this.$emit("close");
		},
		save(e) {
			e.preventDefault();
			this.$emit("save", this.value);
            this.value = "";
		},
	},
};
</script>

<style>
</style>